Index: /branches/ORCHIDEE_EXT/ORCHIDEE/src_parameters/constantes.f90
===================================================================
--- /branches/ORCHIDEE_EXT/ORCHIDEE/src_parameters/constantes.f90	(revision 256)
+++ /branches/ORCHIDEE_EXT/ORCHIDEE/src_parameters/constantes.f90	(revision 257)
@@ -8,5 +8,5 @@
 !!--------------------------------------------------------------------
   USE defprec
-  USE ioipsl
+  USE parallel
 !-
   IMPLICIT NONE
@@ -21,6 +21,4 @@
   !----------------
 
-  ! Unit for output messages
-  INTEGER(i_std), SAVE :: numout = 6
   !-
   ! To set for more printing
@@ -185,4 +183,9 @@
   INTEGER(i_std),PARAMETER :: ipassive = 3
   INTEGER(i_std),PARAMETER :: ncarb = 3
+  !
+  ! transformation between types of surface (DS : not used in the code?)
+  INTEGER(i_std),PARAMETER :: ito_natagri = 1
+  INTEGER(i_std),PARAMETER :: ito_total = 2
+
 
 
@@ -197,5 +200,5 @@
   REAL(r_std), PARAMETER :: pi = 4.*ATAN(1.)
   ! e
-  REAL(r_std),PARAMETER :: euler = 2.71828182846
+  REAL(r_std),PARAMETER :: euler = 2.71828182846 !or euler = EXP(1.)
   !-
   ! Integer constant set to zero
@@ -230,5 +233,13 @@
   !
   ! radius of the Earth (m)
+  ! comment :
+  ! Earth radius ~= Equatorial radius
+  ! The Earth's equatorial radius a, or semi-major axis, is the distance from its center to the equator and equals 6,378.1370 km.
+  ! The equatorial radius is often used to compare Earth with other planets.
   REAL(r_std), PARAMETER :: R_Earth = 6378000.
+  !The meridional mean is well approximated by the semicubic mean of the two axe yielding 6367.4491 km
+  ! or less accurately by the quadratic mean of the two axes about 6,367.454 km
+  ! or even just the mean of the two axes about 6,367.445 km.
+  !-
   ! standard pressure
   REAL(r_std), PARAMETER :: pb_std = 1013. 
@@ -333,29 +344,184 @@
 
 
-!-----------------------------------------------
-!----------------------------------------------
-! SCALAR PARAMETERS EXTERNALIZED
-!----------------------------------------------
-!-----------------------------------------------
-!------------------------------------------
-!  SECHIBA, SOIL AND VEGETATION parameters
-!-----------------------------------------
-
-  !!---------------------------------------
-  !! Parameters for soil type distribution
-  !!---------------------------------------
-  !
-  ! Default soil texture distribution in the following order :
-  !    sand, loam and clay
-  REAL(r_std),SAVE, DIMENSION(nstm) :: soiltype_default = (/ 0.0, 1.0, 0.0 /)
-
-  !!----------------------------------------
-  !! Constantes from the Choisnel hydrology
-  !!----------------------------------------
+
+                           !------------------------!
+                           !  SECHIBA PARAMETERS    !
+                           !------------------------!
+
+! DS Maybe should I move these constants in the modules they belong
+!-
+! Specific parameters for the CWRR hydrology module
+!-
+!
+! CWRR linearisation
+INTEGER(i_std),PARAMETER :: imin = 1
+! number of interval for CWRR
+INTEGER(i_std),PARAMETER :: nbint = 100
+! number of points for CWRR
+INTEGER(i_std),PARAMETER :: imax = nbint+1
+
+!-
+! diffuco
+!-
+REAL(r_std),PARAMETER :: Tetens_1 = 0.622   
+REAL(r_std),PARAMETER :: Tetens_2 = 0.378
+REAL(r_std),PARAMETER :: std_ci_frac = 0.667
+REAL(r_std),PARAMETER :: alpha_j = 0.8855
+REAL(r_std),PARAMETER :: curve_assim = 0.7
+REAL(r_std),PARAMETER :: WJ_coeff1 = 4.5
+REAL(r_std),PARAMETER :: WJ_coeff2 = 10.5
+REAL(r_std),PARAMETER :: Vc_to_Rd_ratio = 0.011
+REAL(r_std),PARAMETER :: O2toCO2_stoechio = 1.6
+REAL(r_std),PARAMETER :: mmol_to_m_1 = 0.0244
+REAL(r_std),PARAMETER  :: RG_to_PAR = 0.5 
+REAL(r_std),PARAMETER  :: W_to_mmol = 4.6 ! W_to_mmol * RG_to_PAR = 2.3
+
+
+
+                               !-----------!
+                               ! Global    !
+                               !-----------!
+  ! The minimum wind
+  REAL(r_std),SAVE :: min_wind = 0.1
+  ! Sets the amount above which only sublimation occures [Kg/m^2]
+  REAL(r_std),SAVE :: snowcri=1.5
+  ! Transforms leaf area index into size of interception reservoir
+  REAL(r_std),SAVE      :: qsintcst = 0.1
+  ! Total depth of soil reservoir (for hydrolc)
+  REAL(r_std),SAVE :: dpu_cste =  deux
+  ! Total depth of soil reservoir (m)
+  REAL(r_std),SAVE,DIMENSION(nstm) :: dpu =  (/ 2.0_r_std, 2.0_r_std, 2.0_r_std /)
+
+  ! FLAGS
+
+  ! allow agricultural PFTs
+  LOGICAL,SAVE :: agriculture = .TRUE. !(read in slowproc)
+  ! Do we treat PFT expansion across a grid point after introduction?
+  ! default = .FALSE.
+  LOGICAL,SAVE :: treat_expansion = .FALSE.
+  ! herbivores?
+  LOGICAL,SAVE :: ok_herbivores = .FALSE.
+  ! harvesting ?
+  LOGICAL,SAVE :: harvest_agri = .TRUE.
+  ! constant moratlity
+  LOGICAL,SAVE :: lpj_gap_const_mort=.TRUE.
+
+  ! Parameters used by both hydrology models
+
+  ! Maximum period of snow aging
+  REAL(r_std),SAVE :: max_snow_age = 50._r_std
+  ! Transformation time constant for snow (m)
+  REAL(r_std),SAVE :: snow_trans = 0.3_r_std
+  ! Lower limit of snow amount
+  REAL(r_std),SAVE :: sneige
+  ! The maximum mass (kg/m^2) of a glacier.
+  REAL(r_std),SAVE :: maxmass_glacier = 3000.
+  ! Maximum quantity of water (Kg/M3)
+  REAL(r_std),SAVE :: mx_eau_eau = 150.
+
+  ! UNKNOW
+
+  ! Is veget_ori array stored in restart file
+!!$! DS: Where is it used ?
+  !  LOGICAL,PARAMETER :: ldveget_ori_on_restart = .TRUE.
+  !-
+!!$! DS not used in the code ? 
+  ! Limit of air temperature for snow
+  REAL(r_std),SAVE :: tsnow=273.
+
+
+
+
+                               !-------------!
+                               ! condveg.f90 !
+                               !-------------!
+
+  ! 1. Scalar
+
+  ! to get z0 from height
+  REAL(r_std), SAVE  :: z0_over_height = un/16.
+  ! Magic number which relates the height to the displacement height.
+  REAL(r_std), SAVE  :: height_displacement = 0.75
+  ! bare soil roughness length (m)
+  REAL(r_std),SAVE :: z0_bare = 0.01
+  ! ice roughness length (m)
+  REAL(r_std),SAVE :: z0_ice = 0.001
+  ! Time constant of the albedo decay of snow
+  REAL(r_std),SAVE :: tcst_snowa = 5.0
+  ! Critical value for computation of snow albedo [Kg/m^2]
+  REAL(r_std),SAVE :: snowcri_alb=10.
+
+  ! 2. Arrays
+
+  ! albedo of dead leaves, VIS+NIR
+  REAL(r_std),DIMENSION(2),SAVE :: alb_deadleaf = (/ .12, .35/)
+  ! albedo of ice, VIS+NIR
+  REAL(r_std),DIMENSION(2),SAVE :: alb_ice = (/ .60, .20/)
+  !   The correspondance table for the soil color numbers and their albedo
+  !
+  REAL(r_std), DIMENSION(classnb) :: vis_dry = (/0.24, 0.22, 0.20, 0.18, 0.16, 0.14, 0.12, 0.10, 0.27/)
+  REAL(r_std), DIMENSION(classnb) :: nir_dry = (/0.48, 0.44, 0.40, 0.36, 0.32, 0.28, 0.24, 0.20, 0.55/)  
+  REAL(r_std), DIMENSION(classnb) :: vis_wet = (/0.12, 0.11, 0.10, 0.09, 0.08, 0.07, 0.06, 0.05, 0.15/)  
+  REAL(r_std), DIMENSION(classnb) :: nir_wet = (/0.24, 0.22, 0.20, 0.18, 0.16, 0.14, 0.12, 0.10, 0.31/)
+  !   
+  ! Nathalie, introduction d'un albedo moyen, VIS+NIR
+  ! Les valeurs suivantes correspondent a la moyenne des valeurs initiales
+  !  REAL(stnd), DIMENSION(classnb) :: albsoil_vis = (/0.18, 0.165, 0.15, 0.135, 0.12, 0.105, 0.09, 0.075, 0.21/)
+  !  REAL(stnd), DIMENSION(classnb) :: albsoil_nir = (/0.36, 0.33, 0.30, 0.27, 0.24, 0.21, 0.18, 0.15, 0.43/)
+  ! les valeurs retenues accentuent le contraste entre equateur et Sahara. 
+  ! On diminue aussi l'albedo des deserts (tous sauf Sahara)
+  REAL(r_std), DIMENSION(classnb) :: albsoil_vis = (/0.18, 0.16, 0.16, 0.15, 0.12, 0.105, 0.09, 0.075, 0.25/)
+  REAL(r_std), DIMENSION(classnb) :: albsoil_nir = (/0.36, 0.34, 0.34, 0.33, 0.30, 0.25, 0.20, 0.15, 0.45/) 
+
+
+                               !-------------!
+                               ! diffuco.f90 !
+                               !-------------!
+
+  ! 1. Scalar
+
+  INTEGER(i_std), SAVE        :: nlai = 20 ! dimension de tableau
+  ! used in diffuco_trans
+  REAL(r_std), SAVE                :: laimax = 12.
+  REAL(r_std), SAVE                :: xc4_1 = .83
+  REAL(r_std), SAVE                :: xc4_2 = .93
+  ! Set to .TRUE. if you want q_cdrag coming from GCM
+  LOGICAL,SAVE :: ldq_cdrag_from_gcm = .FALSE.
+
+  ! 2; Arrays
+
+  ! 3. Coefficients of equations
+
+  REAL(r_std), SAVE      :: lai_level_depth = .15
+  REAL(r_std), SAVE      :: x1_coef =  0.177
+  REAL(r_std), SAVE      :: x1_Q10 =  0.069
+  REAL(r_std), SAVE      :: quantum_yield =  0.092
+  REAL(r_std), SAVE      :: kt_coef = 0.7     
+  REAL(r_std), SAVE      :: kc_coef = 39.09
+  REAL(r_std), SAVE      :: Ko_Q10 = .085
+  REAL(r_std), SAVE      :: Oa = 210000.
+  REAL(r_std), SAVE      :: Ko_coef =  2.412
+  REAL(r_std), SAVE      :: CP_0 = 42.
+  REAL(r_std), SAVE      :: CP_temp_coef = 9.46 
+  REAL(r_std), SAVE      :: CP_temp_ref = 25.
+  !
+  REAL(r_std), SAVE, DIMENSION(2)  :: rt_coef = (/ 0.8, 1.3 /) 
+  REAL(r_std), SAVE, DIMENSION(2)  :: vc_coef = (/ 0.39, 0.3 /)
+  !
+  ! coefficients of the polynome of degree 5 used inthe equation of coeff_dew_veg
+  REAL(r_std), SAVE, DIMENSION(6)     :: dew_veg_poly_coeff = &
+  & (/ 0.887773, 0.205673, 0.110112, 0.014843,  0.000824,  0.000017 /) 
+
+
+
+                              !-------------!
+                              ! hydrolc.f90 !
+                              !-------------!
+
+  ! 1. Scalar
+
   !
   ! Wilting point (Has a numerical role for the moment)
   REAL(r_std),SAVE :: qwilt = 5.0
-  ! Total depth of soil reservoir (for hydrolc)
-  REAL(r_std),SAVE :: dpu_cste =  deux
   ! The minimal size we allow for the upper reservoir (m)
   REAL(r_std),SAVE :: min_resdis = 2.e-5
@@ -369,9 +535,4 @@
   REAL(r_std),SAVE :: exp_drain = 1.5
   !-
-  ! Transforms leaf area index into size of interception reservoir
-  REAL(r_std),SAVE      :: qsintcst = 0.1
-  ! Maximum quantity of water (Kg/M3)
-  REAL(r_std),SAVE :: mx_eau_eau = 150.
-  !-
   ! Constant in the computation of resistance for bare  soil evaporation
   REAL(r_std),SAVE :: rsol_cste = 33.E3
@@ -380,16 +541,21 @@
   REAL(r_std),SAVE :: hcrit_litter=0.08_r_std
 
-  !!---------------------------------------------------
-  !! Specific parameters for the CWRR hydrology module
-  !!--------------------------------------------------- 
-  !
-!!$ DS To externalise ? 
-!!$ advice of MM : to put in hydrol
-  ! CWRR linearisation
-  INTEGER(i_std),PARAMETER :: imin = 1
-  ! number of interval for CWRR
-  INTEGER(i_std),PARAMETER :: nbint = 100
-  ! number of points for CWRR
-  INTEGER(i_std),PARAMETER :: imax = nbint+1
+
+
+
+                              !-------------!
+                              ! hydrol.f90  !
+                              !-------------!
+
+
+  ! 1. Scalar
+
+  ! Allowed moisture above mcs (boundary conditions)
+  REAL(r_std), SAVE                :: dmcs = 0.002     
+  ! Allowed moisture below mcr (boundary conditions)
+  REAL(r_std), SAVE                :: dmcr = 0.002  
+
+  ! 2. Arrays
+ 
   !-
   ! externalise w_time (some bug in hydrol)
@@ -406,6 +572,4 @@
   ! Saturated soil water content
   REAL(r_std),SAVE,DIMENSION(nstm) :: mcs = (/ 0.41_r_std, 0.43_r_std, 0.41_r_std /)
-  ! Total depth of soil reservoir (m)
-  REAL(r_std),SAVE,DIMENSION(nstm) :: dpu =  (/ 2.0_r_std, 2.0_r_std, 2.0_r_std /)
   !-
   ! dpu must be constant over the different soil types
@@ -427,117 +591,133 @@
 
 
-  !!-----------------------------------------------------
-  !! Vegetation parameters (previously in constantes_veg)
-  !!----------------------------------------------------- 
-  !
-  ! Value for frac_nobio for tests in 0-dim simulations
+  
+                              !-------------!
+                              ! routing.f90 !
+                              !-------------!
+
+  ! 1. Scalar
+
+  ! Parameter for the Kassel irrigation parametrization linked to the crops
+  REAL(r_std), SAVE          :: crop_coef = 1.5
+
+
+
+                              !--------------!
+                              ! slowproc.f90 !
+                              !--------------!
+
+
+  ! 1. Scalar
+
+  REAL(r_std), SAVE          :: clayfraction_default = 0.2
+  ! Minimal fraction of mesh a vegetation type can occupy
+  REAL(r_std),SAVE :: min_vegfrac=0.001
+ ! Value for frac_nobio for tests in 0-dim simulations
   ! laisser ca tant qu'il n'y a que de la glace (pas de lacs)
   !DS : used in slowproc
   REAL(r_std),SAVE :: frac_nobio_fixed_test_1 = 0.0
-  !-
-  ! Is veget_ori array stored in restart file
-!!$ DS: Where is it used ?
-  !  LOGICAL,PARAMETER :: ldveget_ori_on_restart = .TRUE.
-  !-
-  ! Set to .TRUE. if you want q_cdrag coming from GCM
-  ! used in diffuco
-  LOGICAL,SAVE :: ldq_cdrag_from_gcm = .FALSE.
-  !-
-  ! allow agricultural PFTs
-  LOGICAL,SAVE :: agriculture = .TRUE.
-  !-
-  ! The maximum mass (kg/m^2) of a glacier.
-  REAL(r_std),SAVE :: maxmass_glacier = 3000.
-  !-
-  ! Minimal fraction of mesh a vegetation type can occupy
-  REAL(r_std),SAVE :: min_vegfrac=0.001
-  !-
-!!$ DS not used in the code ? 
-  ! Limit of air temperature for snow
-  REAL(r_std),SAVE :: tsnow=273.
-  !-
-  ! Sets the amount above which only sublimation occures [Kg/m^2]
-  REAL(r_std),SAVE :: snowcri=1.5
-  ! Critical value for computation of snow albedo [Kg/m^2]
-  REAL(r_std),SAVE :: snowcri_alb=10.
-  ! Lower limit of snow amount
-  REAL(r_std),SAVE :: sneige
-  !-
-  ! The minimum wind
-  REAL(r_std),SAVE :: min_wind = 0.1
-  ! bare soil roughness length (m)
-  REAL(r_std),SAVE :: z0_bare = 0.01
-  ! ice roughness length (m)
-  REAL(r_std),SAVE :: z0_ice = 0.001
-  !-
-  ! Time constant of the albedo decay of snow
-  REAL(r_std),SAVE :: tcst_snowa = cinq
-  ! Maximum period of snow aging
-  REAL(r_std),SAVE :: max_snow_age = 50._r_std
-  ! Transformation time constant for snow (m)
-  REAL(r_std),SAVE :: snow_trans = 0.3_r_std
-  !-
-  ! albedo of dead leaves, VIS+NIR
-  REAL(r_std),DIMENSION(2),SAVE :: alb_deadleaf = (/ .12, .35/)
-  ! albedo of ice, VIS+NIR
-  REAL(r_std),DIMENSION(2),SAVE :: alb_ice = (/ .60, .20/)
-
-  !!--------------------------------
-  !!  SECHIBA specific parameters
-  !!--------------------------------
-  !
-  !-
-  ! condveg
+
+  ! 2. Arrays
+
+  ! Default soil texture distribution in the following order :
+  !    sand, loam and clay
+  REAL(r_std),SAVE, DIMENSION(nstm) :: soiltype_default = (/ 0.0, 1.0, 0.0 /)
+
+
+
+
+                           !-----------------------------!
+                           !  STOMATE AND LPJ PARAMETERS !
+                           !-----------------------------!
+
+  !-
+  ! stomate_alloc
   !- 
-  ! to get z0 from height
-  REAL(r_std), SAVE  :: z0_over_height = un/16.
-  ! Magic number which relates the height to the displacement height.
-  REAL(r_std), SAVE  :: height_displacement = 0.75
-  !-
-  ! diffuco
-  !-
-  INTEGER(i_std), SAVE        :: nlai = 20 ! dimension de tableau
-  ! used in diffuco_trans
-  REAL(r_std), SAVE                :: laimax = 12.
-  REAL(r_std), SAVE                :: xc4_1 = .83
-  REAL(r_std), SAVE                :: xc4_2 = .93
-  !-
-  ! hydrol.
-  !-
-  ! Allowed moisture above mcs (boundary conditions)
-  REAL(r_std), SAVE                :: dmcs = 0.002     
-  ! Allowed moisture below mcr (boundary conditions)
-  REAL(r_std), SAVE                :: dmcr = 0.002  
-  !-
-  ! routing
-  !- 
-  ! Parameter for the Kassel irrigation parametrization linked to the crops
-  REAL(r_std), SAVE          :: crop_coef = 1.5
-  !-
-  ! slowproc
-  !- 
-  REAL(r_std), SAVE          :: clayfraction_default = 0.2
+  REAL(r_std), PARAMETER  ::  max_possible_lai = 10. 
+  REAL(r_std), PARAMETER  ::  Nlim_Q10 = 10. 
+  !-
+  ! stomate_litter
+  !-
+  REAL(r_std), PARAMETER    :: Q10 = 10.
+  !
+
+! DS 31/03/2011 test new organization
+! List of Externalized Parameters by modules
+
+
+                              !----------------------!
+                              ! lpj_constraints.f90  !
+                              !----------------------!
+
   
-!-----------------------------
-!  STOMATE AND LPJ PARAMETERS
-!-----------------------------
-  !
-  !-
-  ! lpj_constraints
-  !-
+  ! 1. Scalar
+
   ! longest sustainable time without regeneration (vernalization)
   REAL(r_std), SAVE  :: too_long = 5.
-  !
-  !-
-  ! lpj_fire
-  !-
+
+
+                              !--------------------!
+                              ! lpj_establish.f90  !
+                              !--------------------!
+
+  ! 1. Scalar
+  ! Maximum tree establishment rate
+  REAL(r_std),SAVE :: estab_max_tree = 0.12
+  ! Maximum grass establishment rate
+  REAL(r_std),SAVE :: estab_max_grass = 0.12 
+  
+  ! 3. Coefficients of equations
+
+  REAL(r_std), SAVE      :: establish_scal_fact = 15.
+  REAL(r_std), SAVE      :: fpc_crit_max = .075
+  REAL(r_std), SAVE      :: fpc_crit_min= .05 
+
+
+                              !---------------!
+                              ! lpj_fire.f90  !
+                              !---------------!
+
+  ! 1. Scalar
+
   ! Time scale for memory of the fire index (days). Validated for one year in the DGVM.
   REAL(r_std), SAVE  :: tau_fire = 30. 
   ! Critical litter quantity for fire
   REAL(r_std), SAVE  :: litter_crit = 200.
-  !
-  !-
-  ! lpj_light
-  !-
+
+  ! 2. Arrays
+
+  ! What fraction of a burned plant compartment goes into the atmosphere
+  !   (rest into litter)
+  REAL(r_std), SAVE, DIMENSION(nparts) :: co2frac = (/ .95, .95, 0., 0.3, 0., 0., .95, .95 /)
+
+
+  ! 3. Coefficients of equations
+
+  REAL(r_std), SAVE, DIMENSION(3) :: bcfrac_coeff = (/ .3,  1.3,  88.2 /) 
+  REAL(r_std), SAVE, DIMENSION(4)  :: firefrac_coeff = (/ 0.45, 0.8, 0.6, 0.13 /)
+
+
+                              !--------------!
+                              ! lpj_gap.f90  !
+                              !--------------!
+
+  ! 1. Scalar
+! DS 15/06/2011 : the name of the parameter constant_mortality was replaced by its keyword  
+!!$  ! which kind of mortality
+!!$  LOGICAL, SAVE          :: constant_mortality = .TRUE.
+
+  ! 3. Coefficients of equations
+
+  REAL(r_std), SAVE      ::  availability_fact = 0.02
+  REAL(r_std), SAVE      ::  vigour_ref = 0.17
+  REAL(r_std), SAVE      ::  vigour_coeff = 70.
+
+
+                              !----------------!
+                              ! lpj_light.f90  !
+                              !----------------!
+
+  ! 1. Scalar
+  
   ! maximum total number of grass individuals in a closed canopy
   REAL(r_std), SAVE  :: grass_mercy = 0.01
@@ -547,14 +727,38 @@
   ! to fpc of last time step (F)?
   LOGICAL, SAVE     :: annual_increase = .TRUE.
-  !
-  !-
-  ! lpj_pftinout
-  !-
+  ! For trees, minimum fraction of crown area occupied
+  ! (due to its branches etc.)
+  ! This means that only a small fraction of its crown area
+  ! can be invaded by other trees.
+  REAL(r_std),SAVE :: min_cover = 0.05  
+
+
+                              !------------------!
+                              ! lpj_pftinout.f90 !
+                              !------------------!
+
+  ! 1. Scalar
+
   ! minimum availability
   REAL(r_std), SAVE  :: min_avail = 0.01
-  !
-  !-
-  ! stomate_alloc
-  !-
+  ! initial density of individuals
+  REAL(r_std),SAVE :: ind_0 = 0.02
+
+  ! 2. Arrays
+
+  ! 3. Coefficients of equations
+  
+  REAL(r_std), SAVE      :: RIP_time_min = 1.25
+  REAL(r_std), SAVE      :: npp_longterm_init = 10. 
+  REAL(r_std), SAVE      :: everywhere_init = 0.05
+
+
+
+                              !-------------------!
+                              ! stomate_alloc.f90 !
+                              !-------------------!
+
+  ! 1. Scalar
+
   ! Do we try to reach a minimum reservoir even if we are severely stressed?
   LOGICAL, SAVE                                        :: ok_minres = .TRUE.
@@ -582,12 +786,23 @@
   ! scaling depth for nitrogen limitation (m)
   REAL(r_std), SAVE                                     :: z_nitrogen = 0.2
-  !
-  !-
-  ! stomate_data
-  !-
-  !!-------------------------------
-  !! Parameters for the pipe model
-  !!------------------------------
-  !-
+
+
+  ! 2. Arrays
+  
+
+  ! 3. Coefficients of equations
+
+  REAL(r_std), SAVE  :: lai_max_to_happy = 0.5  
+  REAL(r_std), SAVE  ::  Nlim_tref = 25.
+
+
+                              !------------------!
+                              ! stomate_data.f90 !
+                              !------------------!
+  ! 1. Scalar 
+
+  !
+  ! 1.1 Parameters for the pipe model
+  !
   ! crown area = pipe_tune1. stem diameter**(1.6) (Reinicke's theory)
   REAL(r_std),SAVE :: pipe_tune1 = 100.0
@@ -601,41 +816,9 @@
   ! one more SAVE
   REAL(r_std),SAVE :: pipe_k1 = 8.e3
-  !
-  !-
-  ! Maximum tree establishment rate
-  REAL(r_std),SAVE :: estab_max_tree = 0.12
-  ! Maximum grass establishment rate
-  REAL(r_std),SAVE :: estab_max_grass = 0.12
-  ! initial density of individuals
-  REAL(r_std),SAVE :: ind_0 = 0.02
-  ! For trees, minimum fraction of crown area occupied
-  ! (due to its branches etc.)
-  ! This means that only a small fraction of its crown area
-  ! can be invaded by other trees.
-  REAL(r_std),SAVE :: min_cover = 0.05  
-  !-
-  ! alpha's : ?
-  REAL(r_std),SAVE :: alpha_grass = .5
-  REAL(r_std),SAVE :: alpha_tree = 1.
-  !-
-  ! maximum reference long term temperature (K)
-  REAL(r_std),SAVE :: tlong_ref_max = 303.1
-  ! minimum reference long term temperature (K)
-  REAL(r_std),SAVE :: tlong_ref_min = 253.1
-  !
-  !! LOGICAL
-  !-
-  ! Do we treat PFT expansion across a grid point after introduction?
-  ! default = .FALSE.
-  LOGICAL,SAVE :: treat_expansion = .FALSE.
-  !
-  ! herbivores?
-  LOGICAL,SAVE :: ok_herbivores = .FALSE.
-  !
-  ! harvesting ?
-  LOGICAL,SAVE :: harvest_agri = .TRUE.
-  !!----------------------
-  !! climatic parameters 
-  !!---------------------
+  ! pipe tune exponential coeff
+  REAL(r_std), SAVE      :: pipe_tune_exp_coeff = 1.6 
+
+  !
+  !  1.2 climatic parameters 
   !
   ! minimum precip, in mm/year
@@ -645,15 +828,18 @@
   ! critical fpc, needed for light competition and establishment
   REAL(r_std),SAVE :: fpc_crit = 0.95
-  !-
-  ! fraction of GPP which is lost as growth respiration
-  REAL(r_std),SAVE :: frac_growthresp = 0.28
-  !
-  !-
+
+  !
+  ! 1.3 sapling characteristics
+  !
+  ! alpha's : ?
+  REAL(r_std),SAVE :: alpha_grass = .5
+  REAL(r_std),SAVE :: alpha_tree = 1.
   ! mass ratio (heartwood+sapwood)/sapwood
   REAL(r_std), SAVE  :: mass_ratio_heart_sap = 3.
-  !
-  !!---------------------------------------------------------
-  ! time scales for phenology and other processes (in days)
-  !!---------------------------------------------------------
+  ! fraction of GPP which is lost as growth respiration
+  REAL(r_std),SAVE :: frac_growthresp = 0.28  
+
+  !
+  ! 1.4  time scales for phenology and other processes (in days)
   !
   REAL(r_std), SAVE    ::  tau_hum_month = 20.            
